%?mingw_package_header

Summary:        Library for reading and writing sound files
Name:           mingw-libsndfile
Version:        1.0.25
Release:        1%{?dist}
Group:          System Environment/Libraries
License:        LGPLv2+ and GPLv2+ and BSD
URL:            http://www.mega-nerd.com/libsndfile/
Source:         http://www.mega-nerd.com/libsndfile/files/libsndfile-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils


%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface. It can
currently read/write 8, 16, 24 and 32-bit PCM files as well as 32 and
64-bit floating point WAV files and a number of compressed formats. It
compiles and runs on *nix, MacOS, and Win32.


# Win32
%package -n mingw32-libsndfile
Summary:        Library for reading and writing sound files
Requires:       pkgconfig


%description -n mingw32-libsndfile
libsndfile is a C library for reading and writing sound files such as
AIFF, AU, WAV, and others through one standard interface. It can
currently read/write 8, 16, 24 and 32-bit PCM files as well as 32 and
64-bit floating point WAV files and a number of compressed formats. It
compiles and runs on *nix, MacOS, and Win32.


%?mingw32_debug_package


%prep
%setup -q -n libsndfile-%{version}


%build
%mingw32_configure --disable-static
%mingw32_make %{?_smp_mflags}

%install
%mingw32_make DESTDIR=$RPM_BUILD_ROOT install

# zap docs, redundant with native package
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libsndfile
%doc AUTHORS ChangeLog COPYING README
%{mingw32_bindir}/i686-w64-mingw32-sndfile-cmp.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-concat.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-convert.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-deinterleave.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-info.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-interleave.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-metadata-get.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-metadata-set.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-play.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-regtest.exe
%{mingw32_bindir}/i686-w64-mingw32-sndfile-salvage.exe
%{mingw32_bindir}/libsndfile-1.dll
%{mingw32_includedir}/sndfile.h
%{mingw32_includedir}/sndfile.hh
%{mingw32_libdir}/libsndfile.dll.a
%{mingw32_libdir}/pkgconfig/sndfile.pc


%changelog
* Mon Dec  7 2016 Fred Gleason<fredg@paravelsystems.com> - 1.0.25-1
- Initial package.

